# Module 5 content development

These are the main content development files for this MOOC module.

**STATUS**: 

**LIVE! This module is now online and ready to go via [Eliademy](https://eliademy.com/app/a/courses/02d7338a7e).**

The second release for this module is now also ready, and has been published on Zenodo: 

Version 2: [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.1434288.svg)](https://doi.org/10.5281/zenodo.1434288)

Version 1: [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.1325081.svg)](https://doi.org/10.5281/zenodo.1325081)

To cite this work, please use the following:

Tennant, J. et al. (23/09/2018) Open Science MOOC: Module 5, Open Research Software and Open Source (Version 2.0) Zenodo. [http://doi.org/10.5281/zenodo.1434288](http://doi.org/10.5281/zenodo.1434288)

Please refer to the [contributing guidelines](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/CONTRIBUTING.md) before making changes here.

Anyone can join our [open Slack channel](https://openmooc-ers-slackin.herokuapp.com/) and [team on GitHub](https://open-science-mooc-invite.herokuapp.com/) for the whole MOOC project.

## Core content

These are the draft content files. The content is fully accessible, and can be used for learning purposes, either individually or as a group, and can be shared and re-used as you wish. However, they have not been integrated into a formal MOOC platform yet. At the moment, they are being written in markdown format, and then using the [notedown](https://github.com/aaren/notedown) tool to convert into iPython notebook format. PDF and HTML versions are created using [pandoc](https://pandoc.org/demos.html) and the [markdown to PDF](https://atom.io/packages/markdown-pdf) package for [Atom](https://atom.io/).

For notedown:
1. Make sure you're working in Linux or Debian
2. Change working directory: eg `cd /mnt/c/users/pc/desktop/`
3. Install notedown: `pip install notedown`
4. Convert files: `notedown input.md > output.ipynb`

**IMPORTANT** Please edit the **markdown** files, not the iPython/HTML files. These will be periodically converted and synchronised as needed.

### In markdown format

- [**MAIN CONTENT**](MAIN.md) - The main content for this Module.
- [**TASK 1**](Task_1.md) - How to set up your first repository on GitHub.
- [**TASK 2**](Task_2.md) - How to make your code citable using GitHub and Zenodo.
- [**TASK 3**](Task_3.md) - How to integrate Git with RStudio.

### In iPython notebook format

Note: These are best viewed in Juypter for full functionality, as opposed to the GitHub viewer. 

- [**MAIN CONTENT**](MAIN.ipynb) (click [here](https://nbviewer.jupyter.org/github/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/content_development/MAIN.ipynb) to view)
- [**TASK 1**](Task_1.ipynb) (click [here](https://nbviewer.jupyter.org/github/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/content_development/Task_1.ipynb) to view)
- [**TASK 2**](Task_2.ipynb) (click [here](https://nbviewer.jupyter.org/github/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/content_development/Task_2.ipynb) to view)
- [**TASK 3**](Task_3.ipynb) (click [here](https://nbviewer.jupyter.org/github/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/content_development/Task_3.ipynb) to view)

## In PDF format 

- [**MAIN CONTENT**](MAIN.pdf)
- [**TASK 1**](Task_1.pdf)
- [**TASK 2**](Task_2.pdf)
- [**TASK 3**](Task_3.pdf)

## In HTML format 

- [**MAIN CONTENT**](MAIN.html)
- [**TASK 1**](Task_1.html)
- [**TASK 2**](Task_2.html)
- [**TASK 3**](Task_3.html)

## Production files

1. [Plan](01-plan.md) 
1. [Design](02-design.md)
1. [Recording and editing](03-recording.md)
1. [Internal reviewing](04-quizzes.md)

## Key resources from [production toolkit](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/production_toolkit)

- [Module design protocol](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/MODULE_DESIGN_PROTOCOL.md)
- [MOOC planning template](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/MOOC_planning_template.md)
- [Script template](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Script_template.md)
- [Video management protocol](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Video_management_protocol.md)
- [Writing a script](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Writing_a_script.md)
