# Module 5: Quizzes and assignments

1. First draft for feedback to instructional design
2. Follow up feedback
3. Define regularity of quizzes
4. Final examination
5. Review assignments  
6. Other assignments (e.g., discussion prompts)

## Questions

#### Contrary to proprietary software, Open Source means that anybody can change a OS project, just like on Wikipedia... that's just plain dangerous. True or false?

- [ ] True
- [X] False

**Answer:** This is a common misunderstanding. Wikipedia is a great way to understand collaborative innovation, but it's not a great euphemism for open source software. First, most open source projects are managed by "benevolent dictators" who have total control over what goes into their project. Contributors offer changes to these maintainers, and after some careful review they'll permit the change to be made. Second, open source software must perform the task it was designed to do. If it doesn't, the community discovers that pretty quickly. On Wikipedia, there's a chance that misinformation could stay in an entry for days before someone corrects it. Finally, it's important to understand the social and political aspect of open source projects. Open source contributors trade on their reputations. If you submit a bunch of good ideas, your stock goes up in the project's community. That's your reward: you solved your problem, and you get accolades from your friends in the community. Likewise, the maintainers don't want to be associated with bad software that's buggy or not useful to anyone. So because people want problems solved, and want to be respected by their peers, open source projects police their changes very carefully. (Source: [opensource.com](https://opensource.com/open-source-myths))

---

#### Open source can't be secure if anybody can openly find flaws and use them for exploits. True or false?

- [ ] True
- [X] False

**Answer:** It's actually the other way around: open source is secure because anyone can find the flaws. If you ask security experts like Bruce Schneier, the National Security Agency, or any locksmith, they'll tell you that keeping your inner workings a secret is a great way to guarantee a security problem. The reason is simple: one developer isn't as a smart as all the developers. As Linux creator Linus Torvalds once said, "A thousand eyes make all bugs shallow." In other words, open source subjects you to the collective scrutiny of the community -- since they have as much to lose from your security problems as you do. Everyone works together to make things more secure. (Source: [opensource.com](https://opensource.com/open-source-myths))

---

#### Open source isn’t licensed. True or false?

- [ ] True
- [X] False

**Answer:** False. Open source licenses are essentially terms of use and not items to be purchased, as can be the case for proprietary software. There are a variety of open source licence models, where each licence model has specific terms for the use and modification of code.  

An open source vendor can charge you for a software licence and still be open source. There is not necessarily a direct relationship between a type of license and what you have to pay to obtain it. The ‘free’ part means that you have the freedom to access the source code and change it yourself providing you abide by the terms of the license.

---

#### Open source has to be free of charge?

- [ ] True
- [X] False

**Answer:** False. The term 'free' in free open source software refers to freedom, not monetary cost. Or, as Richard Stallmann labeled it "Think free as in free speech, not free beer." Read more on the subject, and the distinction between Free Open Source Software (FOSS) and Free & Libre Open Source Software (FLOSS) at ([gnu.org](https://www.gnu.org/philosophy/floss-and-foss.en.html))

---

#### Big Software Companies Don’t Use Open Source - true or false?

- [ ] True
- [X] False

**Answer:** This myth should be a thing of the past. Corporate use of open source is pervasive: A 2018 study shows that on average, respondents across companies of all sizes used open source software in 92% of their applications. See [tidelift.com](https://blog.tidelift.com/open-source-is-everywhere-survey-results-part-1) and [opensourcesurvey.org.](https://opensourcesurvey.org/2017/) for more details.

---


## ... and now for something completely different

!(https://ichef.bbci.co.uk/images/ic/640x360/p01gk35d.jpg)

---

#### Open Science is primarily occupied with liberating the (Natural) Sciences (e.g. Mathematics, Physics, Biology, etc.), true or false?

- [ ] True
- [X] False

**Answer:** No, Open Science tries to encompass all scientific activity. For a broader outline of what we at OpenScienceMOOC think Open Science should be, see our first Module on Open Principles [LINK]

---

#### Open access articles are not peer reviewed, true or false?

- [ ] True
- [X] False

**Answer:** Yup, that's a misconception. Open access articles undergo the same rigorous peer review as articles published via the traditional subscription-based publishing model.

---

#### Unrestricted use, distribution and reproduction of open access articles licensed under CC-BY is permitted only when you:

- [ ] ... have asked the author(s)
- [X] ... have attributed the author(s)
- [ ] ... are also publishing open access
- [ ] ... you do not need to do anything

**Answer:** The author(s) must be properly attributed if you wish to use, distribute or reproduce their article.

---

#### Open access and open peer review are the same thing, true or false?

- [ ] True
- [X] False

**Answer:** Open access journals may use any of the different peer review models, including single-blind, double-blind, open or post-publication peer review.

[Link to further info on open peer review]

---

#### You can download an open access article and make copies to distribute to your friends, true or false?

- [X] True
- [ ] False

**Answer:** That’s right! Open access articles can be downloaded, printed and distributed to all your friends.

### 6. Publishing in open access journals makes it easier to disseminate your research via social media, true or false?

- [X] True
- [ ] False

**Answer:** When you share open access articles on social media everyone is able to see your work making your research more visible to your community. You can read more on the evidence for this here [LINK TO SOURCE OF CHOICE].

---

#### Journals can have both open access and subscription only content, true or false?

- [X] True
- [ ] False

**Answer:** True! Subscription journals which offer authors an open access option for their individual articles are known as ‘hybrid’ journals.

---

### Funding organizations don’t approve of open access journals, true or false?

- [ ] True
- [X] False

**Answer:** Many funding organizations now mandate that the work they fund is published under the open access model so that the research is available to a wide audience and cover the costs of publishing in their grants. [EXPAND w. details on Plan S specifics]

---

### You can find out about the open access policies of funders at which website?

- [ ] SHERPA/ROMEO
- [ ] SHERPA/FACT
- [X] SHERPA/JULIET

**Answer:** It's SHERPA/JULIET - funded by Jisc and RLUK, this database provides information on research funders’ open access policies. It is available to view at their [website](http://www.sherpa.ac.uk/juliet/).

---
